package org.ow2.jonas.cxf.transport.reliablejms.example.ejbmdb.client.servlet;

import java.io.IOException;
import java.io.PrintWriter;

import javax.ejb.EJB;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.ow2.jonas.cxf.transport.reliablejms.example.ejbmdb.client.sender.ISenderSingletonBean;

public class MyServlet extends HttpServlet {
    
@EJB
private ISenderSingletonBean singletonBean = null;
    
    
    public void doGet(HttpServletRequest request,
                        HttpServletResponse response)
          throws ServletException, IOException {
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();
        
        String methodName = request.getParameter("methodName");
        String paramName = request.getParameter("paramName");
        
        
        
        out.println("<html><body>");
        out.println("<form action='call' method='get' >");
        out.println("<input type='radio' name='methodName' value='greetMe' />greeMe<br />");
        out.println("<input type='radio' name='methodName' value='greetMeOneWay' />greetMeOneWay<br />");
        out.println("<input type='radio' name='methodName' value='sayHi' />sayHi<br />");
        
        out.println("<input type='text' name='paramName' value='florent' /><br />");

        out.println("<input type='submit' value='Call !'/>");
        out.println("</form>");
        
        if (paramName != null) {
        if ("greetMe".equals(methodName)) {
            out.println("Calling greetMe with name '" + paramName + "'<br />");
            singletonBean.greetMe(paramName);
        } else if ("greetMeOneWay".equals(methodName)) {
            out.println("Calling greetMeOneWay with name '" + paramName + "' (no answer expected)<br />");
            singletonBean.greetMeOneWay(paramName);
        } else {
            out.println("Calling sayHi with name '" + paramName + "'<br />");
            singletonBean.sayHi(paramName);
        }
        }
        
        out.println("</body></html>");

    }
        
}
